﻿<%@ page language="C#" autoeventwireup="true" inherits="Chat_Login, App_Web_5ljqxb0a" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>企业通</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport" />
    <link rel="shortcut icon" href="../Images/favicon.ico" type="image/x-icon" />
    <link rel="apple-touch-icon" href="../Images/icon_192px.png" />
    <link rel="apple-touch-icon-precomposed" href="../Images/icon_192px.png" />
    <link rel="stylesheet" href="../Skins/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" href="../Css/font-awesome.min.css" />
    <link rel="stylesheet" href="../Css/ionicons.min.css" />
    <link rel="stylesheet" href="../Skins/dist/css/AdminLTE.min.css" />
    <link rel="stylesheet" href="../Skins/dist/css/skins/skin-blue.min.css" />
    <!--[if lt IE 9]>
        <script src="../JS/html5shiv.min.js"></script>
        <script src="../JS/respond.min.js"></script>
    <![endif]-->
    
    <script type="text/javascript">
        function ChangeImage() {
            var now = new Date();
            var number = now.getSeconds();
            document.getElementById('CodeImage').src = "../Identify/CheckCode.aspx?id=" + number;
        }
    </script>
      
</head>
<body class="hold-transition login-page" style="background:url(../images/login_bg.jpg?v=1) no-repeat #030B0E; background-size:100%;">
    <div class="login-box">

      <div class="login-logo">
        <a href="#"><img src="../images/logo.png" /></a>
      </div>

      <div class="login-box-body" style="border-radius:10px; box-shadow: 1px 1px 1px 1px #333;">
        <p class="login-box-msg">企业通信即时掌握！</p>
        <form id="form1" runat="server">
        
          <div id="AlertDiv" runat="server"></div>

          <div class="form-group has-feedback">
             <asp:TextBox ID="txtUserName" runat="server" CssClass="form-control" placeholder="用户名"></asp:TextBox>
             <span class="glyphicon glyphicon-user form-control-feedback"></span>
          </div>

          <div class="form-group has-feedback">
             <asp:TextBox ID="txtPassword" runat="server" CssClass="form-control" placeholder="密码" TextMode="Password"></asp:TextBox>
             <span class="glyphicon glyphicon-lock form-control-feedback"></span>
          </div>
          
          <div class="form-group has-feedback">
             <asp:TextBox ID="txtCode" runat="server" CssClass="form-control" placeholder="验证码" style="width:210px; display:inline;" autocomplete="off"></asp:TextBox>
             <asp:HyperLink ID="hlChange" runat="server" ToolTip="看不清？点击换一张图片" NavigateUrl="javascript:ChangeImage();" style=""><img id="CodeImage" src="../Identify/CheckCode.aspx" alt="" style="height:32px; margin-top:-3px; width:106px;" /></asp:HyperLink>
          </div>

          <div class="row">

            <div class="col-xs-8">
              <div class="checkbox icheck">
                 
              </div>
            </div>

            <div class="col-xs-4">
                <asp:Button ID="btnLogin" runat="server" Text="登录" CssClass="btn btn-primary btn-block btn-flat" onclick="btnLogin_Click" />
            </div>

          </div>

        </form>

      </div>
    </div>

  </body>
</html>
