﻿<%@ page language="C#" masterpagefile="~/Commons/Main.master" autoeventwireup="true" inherits="Fee_MeterEdit, App_Web_5t1q20ey" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">
    
    <asp:ScriptManager id="ScriptManager1"  runat="server"></asp:ScriptManager>
    
      <div class="content-wrapper">
      
        <section class="content-header">
          <h1>
            抄表管理
          </h1>
          <ol class="breadcrumb">
            <li><a href="../"><i class="fa fa-home"></i> 首页</a></li>
            <li class="active">抄表管理</li>
          </ol>
        </section>

        <section class="content">

          <div id="AlertDiv" runat="server"></div>

          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">
                  <asp:HyperLink ID="hlBack" runat="server"><span class="label label-back"><i class="fa fa-chevron-left"></i> 返回</span></asp:HyperLink>
              </h3>
            </div>

            <div class="box-body">
              <div class="row">
                  
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
        
                      <div class="col-md-6 form-group">
                        <label><asp:Label ID="Label11" runat="server" Text="所属小区"></asp:Label><span class="must">*</span></label>
                        <asp:DropDownList ID="ddlCommunity" runat="server" CssClass="form-control select2" AutoPostBack="True" OnSelectedIndexChanged="ddlCommunity_SelectedIndexChanged"></asp:DropDownList>
                      </div>
                  
                      <div class="col-md-6 form-group">
                        <label><asp:Label ID="Label1" runat="server" Text="所属楼栋"></asp:Label><span class="must">*</span></label>
                        <asp:DropDownList ID="ddlBuilding" runat="server" CssClass="form-control select2" AutoPostBack="True" OnSelectedIndexChanged="ddlBuilding_SelectedIndexChanged"></asp:DropDownList>
                      </div>
                  
                      <div class="col-md-6 form-group">
                        <label><asp:Label ID="Label3" runat="server" Text="所属房屋"></asp:Label><span class="must">*</span></label>
                        <asp:DropDownList ID="ddlHouse" runat="server" CssClass="form-control select2"></asp:DropDownList>
                      </div>
                  
                    </ContentTemplate>
                </asp:UpdatePanel>

                  <div class="col-md-6 form-group" style="position:relative;">
                    <label><asp:Label ID="Label10" runat="server" Text="关联人员"></asp:Label></label>
                    <asp:TextBox ID="txtReceiver" runat="server" CssClass="form-control" onfocus="this.blur()"></asp:TextBox>
                    <asp:TextBox ID="txtReceiverID" runat="server" style="display:none;"></asp:TextBox>
                    <div style="position:absolute; top:31px; right:20px;">
                        <asp:HyperLink ID="hlReceiver" runat="server" CssClass="fancybox fancybox.iframe"><span class="label label-success"><i class="fa fa-plus"></i> 选择</span></asp:HyperLink>
                    </div>
                  </div>
                    
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label9" runat="server" Text="抄表项目"></asp:Label><span class="must">*</span></label>
                    <asp:TextBox ID="txtTitle" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label29" runat="server" Text="抄表类型"></asp:Label></label>
                    <asp:DropDownList ID="ddlType" runat="server" CssClass="form-control select2"></asp:DropDownList>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label4" runat="server" Text="上期度数"></asp:Label></label>
                    <asp:TextBox ID="txtDegree1" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label6" runat="server" Text="本期度数"></asp:Label></label>
                    <asp:TextBox ID="txtDegree2" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label2" runat="server" Text="上期抄表日期"></asp:Label></label>
                    <asp:TextBox ID="txtCheckDate1" runat="server" CssClass="form-control" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd'})"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label5" runat="server" Text="本期抄表日期"></asp:Label></label>
                    <asp:TextBox ID="txtCheckDate2" runat="server" CssClass="form-control" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd'})"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label8" runat="server" Text="备注"></asp:Label></label>
                    <asp:TextBox ID="txtDescription" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
              </div>
              
            </div>
            
            <div class="box-footer">
                <asp:Button ID="btnSave" runat="server" Text="保存" CssClass="btn btn-primary" onclick="btnSave_Click"></asp:Button>
                <asp:Button ID="btnCancel" runat="server" Text="取消" CssClass="btn btn-default" onclick="btnCancel_Click"></asp:Button>
            </div>

          </div>

        </section>

      </div>

</asp:Content>