﻿<%@ page language="C#" masterpagefile="../Commons/Main.master" autoeventwireup="true" inherits="Dashboard_Default, App_Web_2eits5bg" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">

     <div class="content-wrapper">
      
        <section class="content-header">
          <h1>
            	控制台
          </h1>
          <ol class="breadcrumb">
            <li><a href="../"><i class="fa fa-home"></i> 首页</a></li>
            <li class="active">控制台</li>
          </ol>
        </section>

        <section class="content">

        <div class="row">

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-green"><i class="fa fa-bank"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">小区</span>
                  <asp:Label ID="lblCounter1" runat="server" CssClass="info-box-number"></asp:Label>
                  <a href="../Community/List.aspx?active=130,131" class="small-box-footer">查看 <i class="fa fa-arrow-circle-right"></i></a>
                </div>
              </div>
            </div>

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-aqua"><i class="fa fa-database"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">楼栋</span>
                  <asp:Label ID="lblCounter2" runat="server" CssClass="info-box-number"></asp:Label>
                  <a href="../Building/List.aspx?active=134,135" class="small-box-footer">查看 <i class="fa fa-arrow-circle-right"></i></a>
                </div>
              </div>
            </div>

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-red"><i class="fa fa-cube"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">房屋</span>
                  <asp:Label ID="lblCounter3" runat="server" CssClass="info-box-number"></asp:Label>
                  <a href="../House/List.aspx?active=134,138" class="small-box-footer">查看 <i class="fa fa-arrow-circle-right"></i></a>
                </div>
              </div>
            </div>
            
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-purple"><i class="fa fa-users"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">人员</span>
                  <asp:Label ID="lblCounter4" runat="server" CssClass="info-box-number"></asp:Label>
                  <a href="../Owner/List.aspx?active=144,145" class="small-box-footer">查看 <i class="fa fa-arrow-circle-right"></i></a>
                </div>
              </div>
            </div>
            
        </div>

        <div class="row">

        <section class="col-lg-6 connectedSortable">

          <div class="box box-danger">
            <div class="box-header with-border">
              <h3 class="box-title">收费统计</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
              
            </div>
            <div class="tab-content">

				<div id="chart1" style="height:350px; margin:10px"></div>

            </div>
          </div>
            
            <!-- 服务器信息 -->
            <div class="box box-primary">
                <div class="box-header">
                  <h3 class="box-title">服务器信息</h3>
                    
                  <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                  </div>
              
                </div>

                <div id="ServerDiv" runat="server" class="box-body table-responsive no-padding"></div>

             </div>
             
        </section>

        <section class="col-lg-6 connectedSortable">

          <div class="box box-warning">
            <div class="box-header with-border">
              <h3 class="box-title">房屋统计</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
              
            </div>
            <div class="tab-content">

				<div id="chart2" style="height:350px; margin:10px"></div>

            </div>
          </div>
            
              <!-- 我的便签 -->
              <div class="box box-success">
                <div class="box-header">
                    <i class="fa fa-pencil"></i>
                    <h3 class="box-title">我的便签</h3>
                    
                      <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                      </div>
              
                </div>
                <div class="box-body chat" id="chat-box">

                    <div id="MemoDiv" runat="server"></div>

                </div>
                <div class="box-footer">
                    <div class="input-group">
                    <asp:TextBox ID="txtMemoContent" runat="server" CssClass="form-control" placeholder="便签内容"></asp:TextBox>
                    <div class="input-group-btn">
                        <asp:LinkButton ID="lnbSaveMemo" runat="server" CssClass="btn btn-success" onclick="lnbSaveMemo_Click"><i class="fa fa-plus"></i></asp:LinkButton>
                    </div>
                    </div>
                </div>

               </div>

        </section>

        </div>

    </section>
         
    <div id="ChartDiv" runat="server"></div>

    </div>

</asp:Content>

