﻿<%@ page language="C#" masterpagefile="~/Commons/Main.master" autoeventwireup="true" inherits="Fee_Meter, App_Web_5t1q20ey" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">
    
      <div class="content-wrapper">

        <section class="content-header">
          <h1>
            抄表管理
          </h1>
          <ol class="breadcrumb">
            <li><a href="../"><i class="fa fa-home"></i> 首页</a></li>
            <li class="active">抄表管理</li>
          </ol>
        </section>

        <section class="content">

          <div class="row">
            <div class="col-xs-12">
              <div class="box">

                <div class="box-header">
                  <h3 class="box-title">
                      <asp:HyperLink ID="hlAdd" runat="server"><span class="label label-success"><i class="fa fa-plus"></i> 新增</span></asp:HyperLink>
                  </h3>
                </div>
                  
              <div class="row" style="padding:10px">
                  
                  <div class="col-md-3 form-group">
                    <label><asp:Label ID="Label10" runat="server" Text="所属小区"></asp:Label></label>
                    <asp:DropDownList ID="ddlCommunity" runat="server" CssClass="form-control select2"></asp:DropDownList>
                  </div>
                  
                  <div class="col-md-3 form-group">
                    <label><asp:Label ID="Label9" runat="server" Text="抄表项目"></asp:Label></label>
                    <asp:TextBox ID="txtTitle" runat="server" CssClass="form-control" AutoComplete="off"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-3 form-group">
                    <div style="margin-top:25px;">
                        <asp:Button ID="btnSearch" runat="server" Text="搜索" CssClass="btn btn-primary" onclick="btnSearch_Click"></asp:Button>
                        <asp:Button ID="btnClear" runat="server" Text="重置" CssClass="btn btn-success" onclick="btnClear_Click"></asp:Button>
                    </div>
                  </div>
                  
              </div>
              
                <div class="box-body table-responsive no-padding">
                    
                    <div id="GridWrap" class="griddiv">

                    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" GridLines="None" BorderWidth="0px" CssClass="table table-hover" AllowSorting="True" OnSorting="GridView1_Sorting" OnRowDataBound="GridView1_RowDataBound" OnRowCommand="GridView1_RowCommand" OnRowCreated="GridView1_RowCreated">
                        <Columns>
                            <asp:TemplateField HeaderText="ID" SortExpression="pk_Meter" Visible="true">
                                <ItemTemplate>
                                    <asp:Label ID="lblID" runat="server" Text='<%# Bind("pk_Meter") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="id" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="所属小区" SortExpression="CommunityName">
                                <ItemTemplate>
                                    <asp:Label ID="lblCommunityName" runat="server" Text='<%# Bind("CommunityName") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="抄表项目" SortExpression="Title">
                                <ItemTemplate>
                                    <asp:Label ID="lblTitle" runat="server" Text='<%# Bind("Title") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="上期度数" SortExpression="Degree1">
                                <ItemTemplate>
                                    <asp:Label ID="lblDegree1" runat="server" Text='<%# Bind("Degree1") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="本期度数" SortExpression="Degree2">
                                <ItemTemplate>
                                    <asp:Label ID="lblDegree2" runat="server" Text='<%# Bind("Degree2") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="上期读表日期" SortExpression="CheckDate1">
                                <ItemTemplate>
                                    <asp:Label ID="lblCheckDate1" runat="server" Text='<%# Bind("CheckDate1") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="本期读表日期" SortExpression="CheckDate2">
                                <ItemTemplate>
                                    <asp:Label ID="lblCheckDate2" runat="server" Text='<%# Bind("CheckDate2") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="类型" SortExpression="TypeID">
                                <ItemTemplate>
                                    <asp:Label ID="lblType" runat="server" Text='<%# Bind("TypeID") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="业主" SortExpression="Owner">
                                <ItemTemplate>
                                    <asp:Label ID="lblOwner" runat="server" Text='<%# Bind("Owner") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="联系方式" SortExpression="Contact">
                                <ItemTemplate>
                                    <asp:Label ID="lblContact" runat="server" Text='<%# Bind("Contact") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="创建时间" SortExpression="CreateDate">
                                <ItemTemplate>
                                    <asp:Label ID="lblCreateDate" runat="server" Text='<%# Bind("CreateDate") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle CssClass="td-border date-time" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <asp:HyperLink ID="gvEdit" runat="server" ToolTip="修改"><span class="label label-primary"><i class="fa fa-edit"></i> 修改</span></asp:HyperLink>
                                    <asp:LinkButton ID="gvDelete" runat="server" ToolTip="删除" CommandName="_delete"><span class="label label-danger"><i class="fa fa-remove"></i> 删除</span></asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    
                    </div>

                    <div id="NoneDiv" runat="server" visible="false" class="none">
                        没有相应的记录
                    </div>

                    <div id="pager">
                       <webdiyer:AspNetPager ID="ListPager" runat="server" OnPageChanged="ListPager_PageChanged"></webdiyer:AspNetPager>
                    </div>
        
                </div>
                
              </div>
            </div>
          </div>

        </section>

      </div>
    
</asp:Content>