﻿<%@ page language="C#" masterpagefile="~/Commons/Main.master" autoeventwireup="true" inherits="House_Edit, App_Web_iefddaxk" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">
    
    <asp:ScriptManager id="ScriptManager1"  runat="server"></asp:ScriptManager>
    
      <div class="content-wrapper">
      
        <section class="content-header">
          <h1>
            房屋管理
          </h1>
          <ol class="breadcrumb">
            <li><a href="../"><i class="fa fa-home"></i> 首页</a></li>
            <li class="active">房屋管理</li>
          </ol>
        </section>

        <section class="content">

          <div id="AlertDiv" runat="server"></div>

          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">
                  <asp:HyperLink ID="hlBack" runat="server"><span class="label label-back"><i class="fa fa-chevron-left"></i> 返回</span></asp:HyperLink>
              </h3>
            </div>

            <div class="box-body">
              <div class="row">
                  
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
        
                      <div class="col-md-6 form-group">
                        <label><asp:Label ID="Label11" runat="server" Text="所属小区"></asp:Label><span class="must">*</span></label>
                        <asp:DropDownList ID="ddlCommunity" runat="server" CssClass="form-control select2" AutoPostBack="True" OnSelectedIndexChanged="ddlCommunity_SelectedIndexChanged"></asp:DropDownList>
                      </div>
                  
                      <div class="col-md-6 form-group">
                        <label><asp:Label ID="Label1" runat="server" Text="楼栋"></asp:Label><span class="must">*</span></label>
                        <asp:DropDownList ID="ddlBuilding" runat="server" CssClass="form-control select2"></asp:DropDownList>
                      </div>
                  
                    </ContentTemplate>
                </asp:UpdatePanel>

                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label9" runat="server" Text="房屋名称"></asp:Label><span class="must">*</span></label>
                    <asp:TextBox ID="txtName" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label31" runat="server" Text="入住日期"></asp:Label></label>
                    <asp:TextBox ID="txtStartDate" runat="server" CssClass="form-control" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd'})" AutoComplete="off"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label10" runat="server" Text="户主名称"></asp:Label><span class="must">*</span></label>
                    <asp:TextBox ID="txtOwner" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label6" runat="server" Text="联系方式"></asp:Label><span class="must">*</span></label>
                    <asp:TextBox ID="txtContact" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label29" runat="server" Text="房屋类型"></asp:Label></label>
                    <asp:DropDownList ID="ddlType" runat="server" CssClass="form-control select2"></asp:DropDownList>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label30" runat="server" Text="房屋状态"></asp:Label></label>
                    <asp:DropDownList ID="ddlStatus" runat="server" CssClass="form-control select2"></asp:DropDownList>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label2" runat="server" Text="楼层"></asp:Label></label>
                    <asp:TextBox ID="txtFloor" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label3" runat="server" Text="户型"></asp:Label></label>
                    <asp:TextBox ID="txtRooms" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label4" runat="server" Text="建筑面积（㎡）"></asp:Label></label>
                    <asp:TextBox ID="txtAera1" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label5" runat="server" Text="室内面积（㎡）"></asp:Label></label>
                    <asp:TextBox ID="txtAera2" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label7" runat="server" Text="物业费（元/㎡）"></asp:Label></label>
                    <asp:TextBox ID="txtFee" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
                  <div class="col-md-6 form-group">
                    <label><asp:Label ID="Label8" runat="server" Text="备注"></asp:Label></label>
                    <asp:TextBox ID="txtDescription" runat="server" CssClass="form-control"></asp:TextBox>
                  </div>
                  
              </div>
              
            </div>
            
            <div class="box-footer">
                <asp:Button ID="btnSave" runat="server" Text="保存" CssClass="btn btn-primary" onclick="btnSave_Click"></asp:Button>
                <asp:Button ID="btnCancel" runat="server" Text="取消" CssClass="btn btn-default" onclick="btnCancel_Click"></asp:Button>
            </div>

          </div>

        </section>

      </div>

</asp:Content>